Delete SMS template

Deletes an SMS template by its type for a specified customer and Tenant.

DELETE
/v2/manage/sms-templates/{templateType}

Deletes an SMS template by its type for a specified customer and Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

templateType*string

The type of SMS template to delete.

Value in"verification" | "forgotpassword" | "welcome" | "changephoneno" | "onetimepasscode" | "secondfactorauthentication" | "noregistrationpasswordlesslogin" | "resetpassword" | "suspicious_ip_sms_to_user" | "suspicious_city_sms_to_user" | "suspicious_country_sms_to_user" | "suspicious_browser_sms_to_user" | "suspicious_device_sms_to_user" | "forgotpin" | "deleteuser" | "breached_password"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Name*string

The name of the SMS template to delete.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.loginradius.com/v2/manage/sms-templates/verification" \  -H "Content-Type: application/json" \  -d '{    "Name": "Welcome Message"  }'
{
  "IsDeleted": true
}

{
  "Message": "Invalid SMS Template type",
  "Description": "Request couldn't be processed due to invalid SMS type.",
  "ErrorCode": 7959
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "SMS template is not configured or the resource does not exist",
  "Description": "You don't have any SMS template configured for the LoginRadius site.",
  "ErrorCode": 7954
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}